catalog:
  title: Flobi Integration Tests Runner

templates:
- runnable
- base

variables:
  description: FSMT LSP-CSRA Integration Tests for Flobi
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  - sschulz@techfak.uni-bielefeld.de
  access: private
  runnable: true

  branches:
  - master

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0;
    export VDEMO_prefix=${toolkit.dir}
    export VDEMO_demoRoot=$VDEMO_prefix/etc/vdemo_scripts
    . $VDEMO_demoRoot/lsp-csra-config.sh
    env_python;
    $prefix/bin/fsmt -p -c -o $WORKSPACE --loglevel=INFO ${toolkit.dir}/etc/fsmt-experiments/simulation/flobi/flobi-hlc-test-local.scxml;
